# [Atelier Schemes](http://atelierbram.github.io/syntax-highlighting/atelier-schemes)

For the construction of these colorschemes,  [Solarized colorscheme](http://ethanschoonover.com/solarized) stood as a model, and [Base16 Builder](https://github.com/chriskempson/base16-builder) was a building tool. Like in Solarized, the colorschemes come in a light – and in a dark background version. It’s really just variations on the same idea, but each with it’s own color-value relations, interdependent on each other and their base (background-)color, giving each colorscheme it’s own character.
[Go to Demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes)

## [Updates](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/demo/changes-03-2015.html)
Some of thes colorschemes have been updated; read [more about this here](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/demo/changes-03-2015.html).

## [Downloads](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output)
All downloads can be [found in the output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
cd ~/.vim/bundle
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
```

## [Forest](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/forest)
Base color for Forest is orange, and the idea is to have brownish colors for the background, not unlike a colorscheme like [“Birds of Paradise”](http://joebergantine.com/projects/color-schemes/birds-of-paradise/), but a bit muddier on the browns, less red and more greyed out, like clay.
![demotiles for Forest colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-forest_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/forest).

## [Plateau](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/plateau)
Base color for Plateau is red, and here the background-colors have these chocolate brown/grey colors for the background, while the “color-wheel colors” are quite desaturated. A warm palette; no real green in here, (_see also “Cave”_).
![demotiles for Plateau colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-plateau_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/plateau).

## [Heath](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/heath)
 Base color for Heath is magenta, and here the background-colors have these cool-red colors for the background, but then obviously toned down quite a bit.
![demotiles for Heath colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-heath_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/heath)

## [Cave](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/cave)
Base color for Cave is violet, and although the colors are regularly spaced out, there is no real green in here, (_see also “Plateau”_) a “cool-warm” palette; not for the claustrophobic.
![demotiles for Cave colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-cave_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/cave)

## [Sulphurpool](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/sulphurpool)
Base color for sulphurpool is purple, and here the background-colors have these grey purplish colors for the background. Darkest background-color needed not to be as desaturated as some of the warmer palettes, giving this colorscheme it’s otherworldly character. Yellow and green are close, because of avoidance of too greenish hues. In all: easy on the eye.
![demotiles for Sulphurpool colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-sulphurpool_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/sulphurpool)

## [Lakeside](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/lakeside)
Base color for Lakeside is blue, which means bluish colors for the background. Coolest colorscheme of the bunch, works very well in the light-background variant, for example on a webpage (_with Prism, or Higlight.js, e.g._).  ![demotiles for Lakeside colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-lakeside_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/lakeside)

## [Savanna](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/savanna)
Base color for Savanna is green, it has greenish colors for the background. “Color-wheel colors” are desaturated considerably, giving this colorscheme a rather understated appeal and, _dear I say it_, a _‘natural’_ look and feel.
![demotiles for Savanna colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-savanna_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/savanna)

## [Seaside](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/seaside)
 Base color for Seaside is green: greenish colors for the background. Very saturated color-palette; comes popping at you.
![demotiles for Seaside colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-seaside_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/seaside)

## [Estuary](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/estuary)
Base color for Estuary is yellow-green, no real blue, red or purple in here, (_red goes to the orange_), only the yellow/greenish colors are saturated. Colors are all very close in terms of (mid-range) tonal-contrast (‘“grey value”). A bit of a poisonous colorscheme, be aware of the crocodiles; they’re hiding in there.
![demotiles for Estuary colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-estuary_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/estuary)

## [Dune](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/dune)
Base color for Dune is yellow, and then warm yellowish brown greyed colors for the background. A welcoming, soothing friendly but also bright, colorscheme.
![demotiles for Dune colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-dune_1200x300.svg)
[More info](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/dune)

## Demo
* [Demo for Highlight.js](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/demo/highlight-js.html)
* [Demo for _Google Code_ Prettify](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/demo/prettify/index.html)
* [Demo for Prism](http://atelierbram.github.io/syntax-highlighting/prism)

## Colorscheme Lab
![Screenshot of Colorscheme Lab, a Code Syntax Highlighter Builder](https://lh6.googleusercontent.com/-ZZiLu6PVYCc/UhT1RHORo3I/AAAAAAAAAnQ/bXsZ82HGwtI/s800/screenshot_colorscheme-lab_640x480.png)

Screenshot of [Colorscheme Lab](http://atelierbram.github.io/syntax-highlighting/lab), a Code Syntax Highlighter Builder

## Lab External
* [Colorscheme Lab on CodePen](http://codepen.io/atelierbram/pen/JnbIt)
* [Colorscheme Lab as Github Gist](https://gist.github.com/atelierbram/6283373)

### License
Copyright (c) 2013 [Bram de Haan](http://atelierbramdehaan.nl/)
Released under [MIT Licence](http://atelierbram.mit-license.org)

