# Cave

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/cave)

Base color for Cave is violet, and although the colors are regularly spaced out, there is no real green in here, (_see also “Plateau”_) a “cool-warm” palette; not for the claustrophobic.

![Atelier Schemes, demotiles for Cave, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-cave_1200x300.svg)

demotiles for Cave, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(265, 10%, 10%);  /* #19171c */
$base01: hsl(265, 9%, 15%);   /* #26232a */
$base02: hsl(265, 8%, 35%);   /* #585260 */
$base03: hsl(265, 7%, 40%);   /* #655f6d */
$base04: hsl(265, 6%, 50%);   /* #7e7887 */
$base05: hsl(265, 5%, 55%);   /* #8b8792 */
$base06: hsl(265, 15%, 89%);  /* #e2dfe7 */
$base07: hsl(265, 25%, 94%);  /* #efecf4 */
$base08: hsl(335, 48%, 51%);  /* #be4678 */
$base09: hsl(15, 48%, 45%);   /* #aa573c */
$base0a: hsl(30, 46%, 43%);   /* #a06e3b */
$base0b: hsl(180, 55%, 37%);  /* #2a9292 */
$base0c: hsl(205, 55%, 50%);  /* #398bc6 */
$base0d: hsl(230, 65%, 60%);  /* #576ddb */
$base0e: hsl(265, 75%, 63%);  /* #955ae7 */
$base0f: hsl(300, 50%, 50%);  /* #bf40bf */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```

## Screenshots

![Screenshot – light version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/cave-light_vim_640x425.png)

Screenshot – light version – in Vim

![Screenshot – dark version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/cave-dark_sublime_640x425.png)

Screenshot – dark version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
```

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


