# Estuary

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/estuary)

Base color for Estuary is yellow-green, no real blue, red or purple in here, (_red goes to the orange_), only the yellow/greenish colors are saturated. Colors are all very close in terms of (mid-range) tonal-contrast (‘“grey value”). A bit of a poisonous colorscheme, be aware of the crocodiles; they’re hiding in there.

![Atelier Schemes, demotiles for Estuary, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-estuary_1200x300.svg)

demotiles for Estuary, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(55, 12%, 12%)   /* #22221b */
$base01: hsl(55, 11%, 17%)   /* #302f27 */
$base02: hsl(55, 10%, 34%)   /* #5f5e4e */
$base03: hsl(55, 9%, 39%)    /* #6c6b5a */
$base04: hsl(55, 8%, 49%)    /* #878573 */
$base05: hsl(55, 7%, 54%)    /* #929181 */
$base06: hsl(55, 15%, 89%)   /* #e7e6df */
$base07: hsl(55, 25%, 94%)   /* #f4f3ec */
$base08: hsl(20, 55%, 47%)   /* #ba6236 */
$base09: hsl(37, 80%, 38%)   /* #ae7313 */
$base0a: hsl(55, 85%, 35%)   /* #a5980d */
$base0b: hsl(74, 60%, 37%)   /* #7d9726 */
$base0c: hsl(107, 37%, 45%   /* #5b9d48 */
$base0d: hsl(147, 50%, 42%   /* #36a166 */
$base0e: hsl(162, 21%, 47%   /* #5f9182 */
$base0f: hsl(340, 20%, 52%   /* #9d6c7c */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```

## Screenshots

![Screenshot – dark version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/estuary-dark_vim_640x425.png)

Screenshot – dark version – in Vim

![Screenshot – light version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/estuary-light_sublime_640x425.png)

Screenshot – light version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


