# Forest

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/forest)

Starting point for Forest was to have brownish colors for the background, not unlike a colorsheme like [“Birds of Paradise”](http://joebergantine.com/projects/color-schemes/birds-of-paradise/), but a bit muddier on the browns, less red and more greyed out, like clay.

![Atelier Schemes, demotiles for Forest, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-forest_1200x300.svg)

demotiles for Forest, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(16, 5%, 10%);    /* #1b1918 */
$base01: hsl(16, 15%, 15%);   /* #2c2421 */
$base02: hsl(16, 5%, 39%);    /* #68615e */
$base03: hsl(16, 5%, 44%);    /* #766e6b */
$base04: hsl(16, 5%, 59%);    /* #9c9491 */
$base05: hsl(16, 5%, 64%);    /* #a8a19f */
$base06: hsl(16, 10%, 89%);   /* #e6e2e0 */
$base07: hsl(16, 10%, 94%);   /* #f1efee */
$base08: hsl(354, 88%, 56%);  /* #f22c40 */
$base09: hsl(16, 75%, 50%);   /* #df5320 */
$base0a: hsl(38, 78%, 47%);   /* #d5911a */
$base0a: hsl(38, 78%, 43%);   /* #c38418 */
$base0b: hsl(75, 60%, 37%);   /* #7b9726 */
$base0c: hsl(174, 100%, 34%); /* #00ad9c */
$base0d: hsl(218, 78%, 58%);  /* #407ee7 */
$base0e: hsl(240, 76%, 66%);  /* #6666ea */
$base0f: hsl(284, 88%, 60%);  /* #c33ff3 */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```
## Screenshots

![Screenshot – dark version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/forest-dark_vim_640x425.png)

Screenshot – dark version – in Vim

![Screenshot – light version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/forest-light_sublime_640x425.png)

Screenshot – light version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


