# Lakeside

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/lakeside)

Base color for Lakeside is blue, which means bluish colors for the background.

![Atelier Schemes, demotiles for Lakeside, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-lakeside_1200x300.svg)

demotiles for Lakeside, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(200, 15%, 10%);  /* #161b1d; */
$base01: hsl(200, 20%, 15%);  /* #1f292e; */
$base02: hsl(200, 21%, 40%);  /* #516d7b; */
$base03: hsl(200, 22%, 45%);  /* #5a7b8c; */
$base04: hsl(200, 24%, 55%);  /* #7195a8; */
$base05: hsl(200, 26%, 60%);  /* #7ea2b4; */
$base06: hsl(200, 75%, 86%);  /* #c1e4f6; */
$base07: hsl(200, 100%, 96%); /* #ebf8ff; */
$base08: hsl(335, 65%, 50%);  /* #d22d72; */
$base09: hsl(30, 60%, 36%);   /* #935c25; */
$base0a: hsl(60, 80%, 30%);   /* #8a8a0f; */
$base0b: hsl(100, 41%, 39%);  /* #568c3b; */
$base0c: hsl(160, 52%, 37%);  /* #2d8f6f; */
$base0d: hsl(200, 65%, 41%);  /* #257fad; */
$base0e: hsl(240, 35%, 57%);  /* #6b6bb8; */
$base0f: hsl(290, 65%, 50%);  /* #b72dd2; */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```
## Screenshots

![Screenshot – dark version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/lakeside-dark_sublime_640x425.png)

Screenshot – dark version – in Sublime Text

![Screenshot – light version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/lakeside-light_vim_640x425.png)

Screenshot – light version – in Vim

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


