# Plateau

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/sulphurpool)

Base color for Plateau is red, and here the background-colors have these chocolate brown/grey colors for the background, while the “color-wheel colors” are quite desaturated. A warm palette; no real green in here, (_see also “Cave”_).

![Atelier Schemes, demotiles for plateau, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-plateau_1200x300.svg)

demotiles for Plateau, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(0, 7%, 10%)     /* #1b1818 */
$base01: hsl(0, 6%, 15%)     /* #292424 */
$base02: hsl(0, 5%, 33%)     /* #585050 */
$base03: hsl(0, 4%, 38%)     /* #655d5d */
$base04: hsl(0, 3%, 48%)     /* #7e7777 */
$base05: hsl(0, 2%, 53%)     /* #8a8585 */
$base06: hsl(0, 15%, 89%)    /* #e7dfdf */
$base07: hsl(0, 25%, 94%)    /* #f4ecec */
$base08: hsl(0, 55%, 54%)    /* #ca4949 */
$base09: hsl(15, 50%, 47%)   /* #b45a3c */
$base0a: hsl(30, 46%, 43%)   /* #a06e3b */
$base0b: hsl(180, 30%, 42%)  /* #4b8b8b */
$base0c: hsl(210, 40%, 52%)  /* #5485b6 */
$base0d: hsl(240, 45%, 62%)  /* #7272ca */
$base0e: hsl(260, 45%, 58%)  /* #8464c4 */
$base0f: hsl(330, 45%, 53%)  /* #bd5187 */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```
## Screenshots

![Screenshot – light version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/plateau-light_vim_640x425.png)

Screenshot – light version – in Vim

![Screenshot – dark version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/plateau-dark_sublime_640x425.png)

Screenshot – dark version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


