# Savanna

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/savanna)

Base color for Savanna is green, it has greenish colors for the background. “Color-wheel colors” are desaturated considerably, giving this colorscheme a rather understated appeal and, _dear I say it_, a _‘natural’_ look and feel.

![Atelier Schemes, demotiles for Savanna, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-savanna_1200x300.svg)

demotiles for Savanna, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(140, 10%, 10%)  /* #171c19 */
$base01: hsl(140, 9%, 15%)   /* #232a25 */
$base02: hsl(140, 8%, 35%)   /* #526057 */
$base03: hsl(140, 7%, 40%)   /* #5f6d64 */
$base04: hsl(140, 6%, 50%)   /* #78877d */
$base05: hsl(140, 5%, 55%)   /* #87928a */
$base06: hsl(140, 15%, 89%)  /* #dfe7e2 */
$base07: hsl(140, 25%, 94%)  /* #ecf4ee */
$base08: hsl(20, 51%, 46%)   /* #b16139 */
$base09: hsl(32, 45%, 43%)   /* #9f713c */
$base0a: hsl(40, 46%, 43%)   /* #a07e3b */
$base0b: hsl(140, 36%, 44%)  /* #489963 */
$base0c: hsl(183, 70%, 37%)  /* #1c9aa0 */
$base0d: hsl(183, 34%, 42%)  /* #478c90 */
$base0e: hsl(199, 29%, 47%)  /* #55859b */
$base0f: hsl(21, 12%, 47%)   /* #867469 */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```

## Screenshots

![Screenshot – dark version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/savanna-dark_vim_640x425.png)

Screenshot – dark version – in Vim

![Screenshot – light version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/savanna-light_sublime_640x425.png)

Screenshot – light version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


