# Seaside

syntax highlighting colorscheme

[Checkout demopage](http://atelierbram.github.io/syntax-highlighting/atelier-schemes/seaside)

Base color for Seaside is green, which leads to greenish colors for the background.

![Atelier Schemes, demotiles for Seaside, syntax highlighting colorscheme](http://atelierbram.github.io/syntax-highlighting/assets/img/svg/atelierschemes-demotiles-seaside_1200x300.svg)

demotiles for Seaside, syntax highlighting colorscheme

## Sixteen Colors

```sass
$base00: hsl(120, 5%, 8%);    /* #131513; */
$base01: hsl(120, 6%, 15%);   /* #242924; */
$base02: hsl(120, 8%, 40%);   /* #5e6e5e; */
$base03: hsl(120, 9%, 45%);   /* #687d68; */
$base04: hsl(120, 11%, 55%);  /* #809980; */
$base05: hsl(120, 13%, 60%);  /* #8ca68c; */
$base06: hsl(120, 35%, 86%);  /* #cfe8cf; */
$base07: hsl(120, 50%, 97%);  /* #f4fbf4; */
$base08: hsl(350, 80%, 50%);  /* #e6193c; */
$base09: hsl(48, 65%, 32%);   /* #87711d; */
$base0a: hsl(60, 70%, 35%);   /* #98981b; */
$base0b: hsl(120, 60%, 40%);  /* #29a329; */
$base0c: hsl(190, 75%, 40%);  /* #1999b3; */
$base0d: hsl(228, 95%, 63%);  /* #3d62f5; */
$base0e: hsl(280, 85%, 55%);  /* #ad2bee; */
$base0f: hsl(310, 80%, 50%);  /* #e619c3; */

$red:     $base08;
$orange:  $base09;
$yellow:  $base0a;
$green:   $base0b;
$cyan:    $base0c;
$blue:    $base0d;
$violet:  $base0e;
$magenta: $base0f;
```
## Screenshots

![Screenshot – dark version – in Vim](http://atelierbram.github.io/syntax-highlighting/assets/img/seaside-dark_vim_640x425.png)

Screenshot – dark version – in Vim

![Screenshot – light version – in Sublime Text](http://atelierbram.github.io/syntax-highlighting/assets/img/seaside-light_sublime_640x425.png)

Screenshot – light version – in Sublime Text

## Downloads
All downloads can be found in the [output folder](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output).

**Note**: For Sublime Text, go to [Textmate](https://github.com/atelierbram/syntax-highlighting/tree/master/atelier-schemes/output/textmate) folder, or [download the zip-file directly](https://atelierbram.github.io/syntax-highlighting/atelier-schemes/output/textmate/textmate.zip).

For [Vim with Pathogen](https://github.com/tpope/vim-pathogen) you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_atelier-schemes) in the `~/.vim/bundle` directory like so:

```bash
git clone https://github.com/atelierbram/vim-colors_atelier-schemes.git
``` 

## Credits
* Credits to [Ethan Schoonover](http://ethanschoonover.com/solarized) whose [Solarized colorscheme](http://github.com/altercation/solarized) was a model for these colorschemes
* And credits to [Chris Kempson](http://chriskempson.com), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats.

### License

Copyright (c) 2013 Bram de Haan

Released under [MIT Licence](http://atelierbram.mit-license.org)


