# DuoTones
Based on [DuoTone themes](http://simurai.com/projects/2016/01/01/duotone-themes/) by [Simurai](http://simurai.com/)

This is a work in progress. Until now only templates for Vim, Sublime Text and Prism have been edited.
In time the templates for HighlightJs and Prettify will also be edited to tone down those brackets, punctuation and so on, in order to keep these colorschemes in the spirit of the original DuoTone Themes.

Go to [demopage](http://atelierbram.github.io/syntax-highlighting/duotones)

> “DuoTone themes use only 2 hues (7 shades in total). It **tones down** less important parts (like punctuation and brackets) and highlights only the **important** ones. This leads to a more calm color scheme, but still lets you find the stuff you’re looking for.”

![DuoTones Dark theme](http://atelierbram.github.io/syntax-highlighting/assets/img/duotones-dark_vim_960x640.png "DuoTones Dark theme")
Screenshot of DuoTones Dark theme in Vim

### Downloads
All downloads can be [found in the output](https://github.com/atelierbram/syntax-highlighting/tree/master/duotones/output/) folder.

NOTE: For Atom, please use [the original theme](https://atom.io/themes/search?utf8=%E2%9C%93&q=keyword:duotone) by [Simurai](https://atom.io/users/simurai).

For Sublime Text, go to the [Textmate folder](https://github.com/atelierbram/syntax-highlighting/tree/master/duotones/output/textmate) within the output folder. Or download the zipfile for Sublime Text/Textmate directly [from here](http://atelierbram.github.com/syntax-highlighting/duotones/output/textmate/textmate.zip).

#### Installation for Sublime Text with Git
Or, when using Git, you can clone the [dedicated repo for this purpose](https://github.com/atelierbram/duotones-sublime-colorschemes)

In your Packages  directory, clone the theme repository using the command below:

```bash
$ git clone https://github.com/atelierbram/duotones-sublime-colorschemes.git
```

#### Installation for Vim with Git
For Vim with Pathogen you can clone [the dedicated repo for this purpose](https://github.com/atelierbram/vim-colors_duotones) in the ~/.vim/bundle directory like so:

```bash
cd ~/.vim/bundle
git clone https://github.com/atelierbram/vim-colors_duotones.git
```

### Credits
- Credits to [Simurai](http://simurai.com/) whose [DuoTone themes](http://simurai.com/projects/2016/01/01/duotone-themes) for Atom were a model for these colorschemes
- Credits to [Chris Kempson](http://chriskempson.com/), whose [Base16 Builder](https://github.com/chriskempson/base16-builder) was used for conversion to the different output formats. It’s a remarkable building tool, and I would also recommend trying out the colorschemes he made with them.

### Resources
- [Orginal Colorscheme for Atom on simurai.com](http://simurai.com/projects/2016/01/01/duotone-themes/)
- [Orginal Colorscheme for Atom on Github](https://github.com/simurai/duotone-dark-syntax/blob/master/styles/colors.less)
- [Creating Colorschemes for Vim on vimcasts.org](http://vimcasts.org/episodes/creating-colorschemes-for-vim/)

### License
Released under [MIT Licence](http://atelierbram.mit-license.org)

[Pathogen]: https://github.com/tpope/vim-pathogen
