# Prism colorschemes

Prism is a lightweight, robust, elegant syntax highlighting library. It is written in javascript, and the colorschemes are CSS stylesheets; so highly customisable.
[Go to Demopage](http://atelierbram.github.io/syntax-highlighting/prism)

![screenshot of styleswitcher for Prism](https://lh6.googleusercontent.com/-27KX3QAEzAc/Ug9O3QH1t2I/AAAAAAAAAlw/tdEU6foUIXM/s800/prism-styleswitcher_screenshot_546x364.png)

screenshot of styleswitcher for Prism

### Customising

Except for the six that come with Prism, this repo contains more colorschemes, colected (stolen) from elsewhere and further adapted (tweaked).
When possible, backlinks to their origin, and information about their creators are included.

- [Xonokai](http://atelierbram.github.io/syntax-highlighting/assets/css/prism/prism-xonokai.css), original by by [Maxime Thirouin](http://moox.fr/), [colorscheme on Github ](https://github.com/MoOx/sass-prism-theme-base)
- [Cbavota](http://atelierbram.github.io/syntax-highlighting/assets/css/prism/prism-cbavota.css), original by [C. Bavota](http://cbavota.bitbucket.org/syntax-highlighter/)
- [Pojoaque](http://atelierbram.github.io/syntax-highlighting/assets/css/prism/prism-pojoaque.css), original by [Jason Tate](http://web-cms-designs.com/ftopict-10-pojoaque-style-for-highlight-js-code-highlighter.html)

### Base16 Schemes

Colorschemes produced, and if not tributed to someone else, also made by [Chris Kempson](http://chriskempson.com) with [base16 builder](https://github.com/chriskempson/base16-builder).

- [Base16-3024][1], original scheme by [Jan T. Sott][2]
- [Base16-Apathy][3], original scheme by [Jannik Siebert][4]
- [Base16-Ashes][5], original scheme by [Jannik Siebert][4]
- [Base16-Bespin][6], original scheme by [Jan T. Sott][2]
- [Base16-Brewer][7], original scheme by [Timothée Poisot][8]
- [Base16-Bright][9]
- [Base16-Chalk][10]
- [Base16-Colors][11], original scheme by [Adam Morse][12]
- [Base16-Default][13]
- [Base16-Eighties][14]
- [Base16-Embers][15], original scheme by [Jannik Siebert][4]
- [Base16-Flat][16]
- [Base16-Google][17], original scheme by [Seth Wright][18]
- [Base16-Grayscale][19], original scheme by [Alexandre Gavioli][20]
- [Base16-Greenscreen][21]
- [Base16-Harmonic16][22], original scheme by [Jannik Siebert][4]
- [Base16-Hopscotch][23], original scheme by [Jan T. Sott][2]
- [Base16-Isotope][24], original scheme by [Jan T. Sott][2]
- [Base16-Marrakesh][25], original scheme by [Alexandre Gavioli][20]
- [Base16-Mocha][26]
- [Base16-Monokai][27], original scheme by [Wimer Hazenberg][28]
- [Base16-Ocean][29]
- [Base16-Paraiso][30], original scheme by [Jan T. Sott][2]
- [Base16-Pop][31]
- [Base16-Railscasts][32], original scheme by [Ryan Bates][33]
- [Base16-Shapeshifter][34], original scheme by [Tyler Benziger][2]
- [Base16-Solarized-dark][35], original scheme by [Ethan Schoonover][36]
- [Base16-Solarized-light][37], original scheme by [Ethan Schoonover][36]
- [Base16-Summerfruit][38], original scheme by [Christopher Corley][39]
- [Base16-Tomorrow][40]
- [Base16-London-Tube][41], original scheme by [Jan T. Sott][2]
- [Base16-Twilight][42], original scheme by [David Hart][43]


### Atelier Schemes

And then some more, made by [me, Bram de Haan](http://atelierbramdehaan.nl) with [base16 builder](https://github.com/chriskempson/base16-builder). You can find them in the [prism folder, within the output folder of Atelier schemes](../atelier-schemes/output/prism).

- [Forest Light](../atelier-schemes/output/prism/base16-atelierforest.light.css)
- [Forest Dark](../atelier-schemes/output/prism/base16-atelierforest.dark.css)
- [Heath Light](../atelier-schemes/output/prism/base16-atelierheath.light.css)
- [Heath Dark](../atelier-schemes/output/prism/base16-atelierheath.dark.css)
- [Lakeside Light](../atelier-schemes/output/prism/base16-atelierlakeside.light.css)
- [lakeside Dark](../atelier-schemes/output/prism/base16-atelierlakeside.dark.css)
- [Seaside Light](../atelier-schemes/output/prism/base16-atelierseaside.light.css)
- [Seaside Dark](../atelier-schemes/output/prism/base16-atelierseaside.dark.css)
- [Dune Light](../atelier-schemes/output/prism/base16-atelierdune.light.css)
-  [Dune Dark](../atelier-schemes/output/prism/base16-atelierdune.dark.css)

### Colorscheme Lab

- [Colorscheme Lab](http://atelierbram.github.io/syntax-highlighting/lab), a Code Syntax Highlighter Builder
- [Colorscheme Lab on CodePen](http://codepen.io/atelierbram/pen/JnbIt)
- [Colorscheme Lab as Github Gist](https://gist.github.com/atelierbram/6283373)

### External Links

- [Prism Project site](http://prismjs.com/)
- [Download Prism](http://prismjs.com/download.html)
- [Prism at Github](https://github.com/LeaVerou/prism)
- [Prism on Twitter](https://twitter.com/prismjs)
- [Lea Verou &#8211; personal website and blog](http://lea.verou.me/)
- [Base16 Colorschemes Preview](http://chriskempson.github.io/base16/)
- [Base16 on Github](https://github.com/chriskempson/base16)

#### License

Copyright (c) 2013 Bram de Haan
Released under [MIT Licence](http://atelierbram.mit-license.org)

[1]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-3024.dark.css
[2]: http://github.com/idleberg
[3]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-apathy.dark.css
[4]: http://github.com/janniks
[5]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-ashes.dark.css
[6]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-bespin.dark.css
[7]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-brewer.dark.css
[8]: http://github.com/tpoisot
[9]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-bright.dark.css
[10]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-chalk.dark.css
[11]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-colors.dark.css
[12]: http://clrs.cc
[13]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-default.dark.css
[14]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-eighties.dark.css
[15]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-embers.dark.css
[16]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-flat.dark.css
[17]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-google.light.css
[18]: http://sethawright.com/
[19]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-grayscale.dark.css
[20]: https://github.com/Alexx2
[21]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-greenscreen.dark.css
[22]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-harmonic16.dark.css
[23]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-hopscotch.dark.css
[24]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-isotope.dark.css
[25]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-marrakesh.dark.css
[26]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-mocha.dark.css
[27]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-monokai.dark.css
[28]: http://www.monokai.nl
[29]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-ocean.dark.css
[30]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-paraiso.dark.css
[31]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-pop.dark.css
[32]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-railscasts.dark.css
[33]: http://railscasts.com
[34]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-shapeshifter.dark.css
[35]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-solarized.dark.css
[36]: http://ethanschoonover.com/solarized
[37]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-solarized.light.css
[38]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-summerfruit.dark.css
[39]: http://christop.club/
[40]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-tomorrow.dark.css
[41]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-londontube.dark.css
[42]: http://atelierbram.github.io/syntax-highlighting/prism/../assets/css/prism/base16-twilight.dark.css
[43]: http://hart-dev.com/

